clang 10.0.0git

Static Public Member Functions | List of all members
llvm::FoldingSetTrait< AllocKind > Struct Template Reference

## Static Public Member Functions
static void | Profile (AllocKind X, FoldingSetNodeID &ID)

## Detailed Description

### template<>
struct llvm::FoldingSetTrait< AllocKind >

Definition at line 35 of file PointerArithChecker.cpp.

## Member Function Documentation

## ◆ Profile()

static void llvm::FoldingSetTrait< AllocKind >::Profile | ( | AllocKind | X,
|  | FoldingSetNodeID & | ID
| ) |  |
| inline static

Definition at line 36 of file PointerArithChecker.cpp.

References clang::FunctionDecl::getNumParams(), clang::CXXNewExpr::isArray(), clang::FunctionDecl::isVariadic(), clang::interp::NE(), REGISTER_MAP_WITH_PROGRAMSTATE, State, and clang::Unknown.

The documentation for this struct was generated from the following file:

- lib/StaticAnalyzer/Checkers/PointerArithChecker.cpp